STOFFCellContent Class Reference documentation

STOFFCellContent Class Reference

small class use to define a sheet cell content More...

`#include <STOFFCell.hxx>`

## Classes
struct | FormulaInstruction
| small class use to define a formula instruction More...

## Public Types
enum | Type { C_NONE , C_TEXT , C_TEXT_BASIC , C_NUMBER , C_FORMULA , C_UNKNOWN }
| the different types of cell's field More...

## Public Member Functions
| STOFFCellContent ()
| constructor
| ~STOFFCellContent ()
| destructor
bool | empty () const
| returns true if the cell has no content
void | setValue (double value)
| sets the double value
bool | isValueSet () const
| returns true if the value has been setted
bool | hasText () const
| returns true if the text is set

## Static Public Member Functions
static bool | double2Date (double val, int &Y, int &M, int &D)
| conversion beetween double days since 1900 and a date, ie val=0 corresponds to 1/1/1900, val=365 to 1/1/1901, ...
static bool | double2Time (double val, int &H, int &M, int &S)
| conversion beetween double: second since 0:00 and time
static bool | date2Double (int Y, int M, int D, double &val)
| conversion beetween date and double days since 1900 date

## Public Attributes
Type | m_contentType
| the content type ( by default unknown )
double | m_value
| the cell value
bool | m_valueSet
| true if the value has been set
std::vector< uint32_t > | m_text
| the text value (for C_TEXT_BASIC)
std::vector< FormulaInstruction > | m_formula
| the formula list of instruction

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFCellContent const &cell)
| operator<<

## Detailed Description

small class use to define a sheet cell content

## Member Enumeration Documentation

## ◆ Type

enum STOFFCellContent::Type

the different types of cell's field

Enumerator
C_NONE |
C_TEXT |
C_TEXT_BASIC |
C_NUMBER |
C_FORMULA |
C_UNKNOWN |

## Constructor & Destructor Documentation

## ◆ STOFFCellContent()

STOFFCellContent::STOFFCellContent | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## ◆ ~STOFFCellContent()

STOFFCellContent::~STOFFCellContent | ( |  | ) |
| inline

destructor

## Member Function Documentation

## ◆ date2Double()

bool STOFFCellContent::date2Double | ( | int | Y,
|  | int | M,
|  | int | D,
|  | double & | val )
| static

conversion beetween date and double days since 1900 date

## ◆ double2Date()

bool STOFFCellContent::double2Date | ( | double | val,
|  | int & | Y,
|  | int & | M,
|  | int & | D )
| static

conversion beetween double days since 1900 and a date, ie val=0 corresponds to 1/1/1900, val=365 to 1/1/1901, ...

Referenced by STOFFSpreadsheetListener::openSheetCell().

## ◆ double2Time()

bool STOFFCellContent::double2Time | ( | double | val,
|  | int & | H,
|  | int & | M,
|  | int & | S )
| static

conversion beetween double: second since 0:00 and time

Referenced by STOFFSpreadsheetListener::openSheetCell().

## ◆ empty()

bool STOFFCellContent::empty | ( |  | ) | const
| inline

returns true if the cell has no content

## ◆ hasText()

bool STOFFCellContent::hasText | ( |  | ) | const
| inline

returns true if the text is set

## ◆ isValueSet()

bool STOFFCellContent::isValueSet | ( |  | ) | const
| inline

returns true if the value has been setted

Referenced by empty(), STOFFSpreadsheetListener::openSheetCell(), and operator<<.

## ◆ setValue()

void STOFFCellContent::setValue | ( | double | value | ) |
| inline

sets the double value

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFCellContent const & | cell )
| friend

operator<<

## Member Data Documentation

## ◆ m_contentType

Type STOFFCellContent::m_contentType

the content type ( by default unknown )

Referenced by empty(), hasText(), operator<<, StarCellFormula::readSCFormula(), StarCellFormula::readSCFormula3(), StarObjectSpreadsheet::sendCell(), and STOFFCellContent().

## ◆ m_formula

std::vector<FormulaInstruction> STOFFCellContent::m_formula

the formula list of instruction

Referenced by empty(), STOFFSpreadsheetListener::openSheetCell(), operator<<, StarCellFormula::readSCFormula(), StarCellFormula::readSCFormula3(), StarObjectSpreadsheet::sendCell(), STOFFCellContent(), and StarCellFormula::updateFormula().

## ◆ m_text

std::vector<uint32_t> STOFFCellContent::m_text

the text value (for C_TEXT_BASIC)

Referenced by empty(), hasText(), operator<<, StarObjectSpreadsheet::sendCell(), and STOFFCellContent().

## ◆ m_value

double STOFFCellContent::m_value

the cell value

Referenced by STOFFSpreadsheetListener::openSheetCell(), operator<<, setValue(), and STOFFCellContent().

## ◆ m_valueSet

bool STOFFCellContent::m_valueSet

true if the value has been set

Referenced by isValueSet(), setValue(), and STOFFCellContent().

The documentation for this class was generated from the following files:

- STOFFCell.hxx
- STOFFCell.cxx